Subject: RE: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: "Drew Adams" <[email-masked]>
Date: Wed, 19 Sep 2012 13:55:58 -0700

Here's another problem.  I would have reported it as a separate bug, but since I
ran into it after loading your patched debug.el I thought perhaps it is best to
report it here.

emacs -Q

M-x load-file MARTIN-debug.elc

M-x load-library files.el

M-x debug-on-entry file-name-nondirectory

C-x 4 f ; or something else, to enter the debugger

In the debugger: hit `e' and enter `last-command', to evaluate that variable.

I get this error:

call-interactively: Wrong type argument: stringp, nil

You should be able to evaluate a variable using `e' in the debugger.